Delete a highlight rule
DELETE/v2/competitions/{competitionId}/highlight-rules/{factName}
DELETE
/v2/competitions/{competitionId}/highlight-rules/{factName}
const url = 'https://api.ligr.live/rest/v2/competitions/1/highlight-rules/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.ligr.live/rest/v2/competitions/1/highlight-rules/example \ --header 'Authorization: Bearer <token>'Beta. This operation can change between minor versions. See Beta status.
Removes the rule for one event. Facts of the event stop making clips. No rule for the event
answers 404. Two or more rules, saved in the dashboard, answer 409 with the code
HIGHLIGHT_RULE_AMBIGUOUS.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”competitionId
required
Entity identifier
integer format: int32
factName
required
string
The event of the rule
Responses
Section titled “Responses”Deleted
Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Competition or highlight rule not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}The competition has two or more rules for the event
Media typeapplication/json
object
message
required
string
code
required
HIGHLIGHT_RULE_AMBIGUOUS
string
Examplegenerated
{ "message": "example", "code": "example"}Organization has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}